Ext.define('Ext.app.Portlet', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.portlet',
    frame: true,
    closable: true,
    collapsible: false,
    animCollapse: true,
    maximizable: true,
    cls: 'opsubpanel',
    height: '100%',
    width: '100%',
    layout: 'fit',
    anchor: '100%',
    autoDestroy: true,
    doClose: function() {
        if (!this.closing) {
            this.closing = true;
            this.el.animate({
                opacity: 0,
                callback: function(){
                    var closeAction = this.closeAction;
                    this.closing = false;
                    this.fireEvent('close', this);
                    this[closeAction]();
                    if (closeAction == 'destroy') {
                        var grid = $('.grid-stack').data('gridstack');
                        grid.remove_widget(this.renderTo.parent().dom);
                    }
                },
                scope: this
            });
        }
    },
    listeners: {
        resize: function(width, height, oldWidth, oldHeight, eOpts) {
            console.log('resize '+this.id);
        }        
    }
});